Loading...
Searching...
No Matches
GoogleDataProvider::GoogleCalendarEventsQuickAddDataProvider Class Reference

The Google calendar event quickAdd API data provider. More...

`#include <GoogleCalendarEventsQuickAddDataProvider.qc.dox.h>`

Inheritance diagram for GoogleDataProvider::GoogleCalendarEventsQuickAddDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (GoogleRestClient::GoogleRestClient rest, string id, *hash< auto > cal)
| Creates the object from a REST connection.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from GoogleDataProvider::GoogleDataProviderBase
| constructor ()
| Creates the object.
| constructor (GoogleRestClient::GoogleRestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes

const | ProviderInfo
| Provider info.
const | ProviderSummaryInfo
| Provider summary info.
const | QueryArgs = ("sendUpdates", "text")
| Query args.
const | RequestType = new GoogleCalendarEventsQuickAddRequestType()
| Request type.
const | ResponseType = new GoogleCalendarEventsElementType()
| Response type.

## Protected Member Functions

auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*DataProvider::AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*DataProvider::AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.

## Protected Attributes

*hash< auto > | cal
| The calendar's metadata.
string | id
| The calendar's ID.
Protected Attributes inherited from GoogleDataProvider::GoogleDataProviderBase
*GoogleRestClient::GoogleRestClient | rest
| The REST client object for API calls.

## Detailed Description

The Google calendar event quickAdd API data provider.

This API allows the caller to quickadd a calendar event

## Member Function Documentation

## doRequestImpl()

auto GoogleDataProvider::GoogleCalendarEventsQuickAddDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options
| ) |  |

protected

Makes a request and returns the response.

Parameters

  req | the request to serialize and make according to the request type
  request_options | the request options; will be processed by validateRequestOptions()

Returns
  the response to the request

## getRequestTypeImpl()

*DataProvider::AbstractDataProviderType GoogleDataProvider::GoogleCalendarEventsQuickAddDataProvider::getRequestTypeImpl | ( |  | ) |

protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## getResponseTypeImpl()

*DataProvider::AbstractDataProviderType GoogleDataProvider::GoogleCalendarEventsQuickAddDataProvider::getResponseTypeImpl | ( |  | ) |

protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message